> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reschedule an appointment



## OpenAPI

````yaml /openapi-staff.yaml post /appointments/{appointment}/reschedule
openapi: 3.1.0
info:
  title: HMIS Staff Workflow API
  version: 1.0.0
  description: >-
    Clinic-scoped patient registration, appointments, outpatient visits, and
    clinical workspace operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Staff patients
  - name: Staff appointments
  - name: Staff outpatient visits
  - name: Staff clinical workspace
paths:
  /appointments/{appointment}/reschedule:
    post:
      tags:
        - Staff appointments
      summary: Reschedule an appointment
      operationId: rescheduleStaffAppointment
      parameters:
        - $ref: '#/components/parameters/AppointmentId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppointmentChangeRequest'
      responses:
        '201':
          $ref: '#/components/responses/ObjectResponse'
        '422':
          $ref: '#/components/responses/ValidationError'
components:
  parameters:
    AppointmentId:
      name: appointment
      in: path
      required: true
      schema:
        type: integer
  schemas:
    AppointmentChangeRequest:
      type: object
      required:
        - appointment_date
        - clinic_schedule_slot_id
      properties:
        appointment_date:
          type: string
          format: date
        clinic_schedule_slot_id:
          type: integer
        reason:
          type:
            - string
            - 'null'
          maxLength: 2000
        notes:
          type:
            - string
            - 'null'
          maxLength: 5000
        assigned_clinician_id:
          type:
            - integer
            - 'null'
    ObjectEnvelope:
      type: object
      properties:
        data:
          type: object
          additionalProperties: true
  responses:
    ObjectResponse:
      description: Resource returned.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ObjectEnvelope'
    ValidationError:
      description: Request validation or workflow transition failed.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum staff token

````